Subject: [TR] Stag master cylinder full of fluid?

From: Frank Magnusson <[email-masked]>
Date: Fri, 25 Jan 2019 17:57:53 -0600

Disregard my last.

I just looked in my shop manual to see when I rebuilt the MC, and it was the clutch MC that leaked all over the firewall mat, not the brake MC.

Frank

Hi Philip,

I had this same thing happen a few years ago.

Not sure how much ended up in the servo, but alot went behind the mat that is on the firewall, which made great paint remover.  Fortunately, this car was undercoated and it softened the undercoating behind and around the mat and the LH wheelwell and didnt harm the paint.  But I'd look there also if I were you.

Frank
'72 Stag

Sent from my iPad

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive